﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

.modal-header {
    background-color: #1b6ec2;
    color: #fff;
}

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

.table.useraccounts th:first-child {
    width: 3em;
}

.table.useraccounts th:nth-last-child(2), .table.useraccounts th:last-child {
    width: 3em;
}

.modal {
    display: block;
}

.table.logs th:first-child {
    width: 3em;
}

.table.logs th:nth-child(2) {
    width: 12em;
}

.table.logs th:nth-child(3) {
    width: 5em;
}

.logfilter input {
    margin: 0 1em;
}

.summary {
    width: 30em;
}

.filterbar {
    padding: 5px 15px 5px 15px;
}

.filterbar label {
    display: inline-block;
    height: calc(1.5em + .75rem + 2px)
}

.filterbar input, .filterbar select {
    display: inline-block;
    height: calc(1.5em + .75rem + 2px);
    padding: .375rem .75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    margin: 5px;
    vertical-align: middle;
}

.filterbar input[type="datetime-local"], .filterbar select {
    width: 17em;
}

.table.orders th:first-child, .table.orders td:first-child {
    width: 15px;
}

.table.orders th:nth-child(2), .table.orders td:nth-child(2) {
    text-align: right;
    width: 3em;
}

.table.orders th:nth-child(3), .table.orders td:nth-child(3) {
    text-align: right;
    width: 7em;
}

.table.orders th:nth-child(5), .table.orders td:nth-child(5) {
    width: 12em;
}

.table.shipment th:first-child, .table.shipment td:first-child {
    width: 15px;
}

.table.shipment th:nth-child(2), .table.shipment td:nth-child(2) {
    text-align: right;
    width: 3em;
}

.table.shipment th:nth-child(3), .table.shipment td:nth-child(3) {
    text-align: right;
    width: 7em;
}

.table.shipment th:nth-child(5), .table.shipment td:nth-child(5) {
    width: 12em;
}

.labelpreview {
    position: absolute;
    width: 640px;
    box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.5);
    border: 1px solid rgba(0, 0, 0, 0.50);
}

.labelpreview embed {
    width: 583px;
    height: 414px;
}

.unship {
    padding: 8px 8px;
}

.delete img, .unship img {
    width: 24px;
    height: 24px;
}

.ship {
}

.count {
    position: absolute;
    top: 0px;
    right: -5px;
    background: #007bff;
    color: #fff;
    font-size: 10px;
    border-radius: 7.5px;
    min-width: 15px;
    padding: 0 5px;
    height: 15px;
    text-align: center;
}

.icon-btn {
    width: 38px;
}

.pager .page {
    display: inline-block;
    width: 3em;
    padding: 0.5em;
    margin: 0.2em;
    border-radius: 5px;
    text-align: center;
    background: #eee;
    color: #000;
    text-decoration: none;
}

.pager .page:hover {
    background: #ddd;
}

.pager .page.current {
    font-weight: bold;
}

.icon {
    display: none;
    width: 16px;
    height: 16px;
}

.empty {
    display: none;
}

.shipments #noshipments {
    display: none;
}

.theme-switcher {
    z-index: 9999;
}

.bi {
    width: 1em;
    height: 1em;
    vertical-align: -.125em;
    fill: currentcolor;
}

.navbar-nav .dropdown-menu .active .bi {
    display: block !important;
}